# Backup the old copy if we find one, move the new one in place
if [ -f bin/ksh ]; then
   mv bin/ksh bin/ksh.old
fi
mv bin/ksh.new bin/ksh
if [ -f bin/ksh.old ]; then
  rm -f bin/ksh.old
fi

# Add entries to /etc/shells if we need them
if [ ! -r etc/shells ] ; then
   touch etc/shells
   chmod 644 etc/shells
fi
 
if ! grep -q "/bin/ksh" etc/shells ; then
   echo "/bin/ksh" >> etc/shells
fi
( cd bin ; rm -rf rksh )
( cd bin ; ln -sf ksh rksh )
( cd usr/man/man1 ; rm -rf rksh.1.gz )
( cd usr/man/man1 ; ln -sf ksh.1.gz rksh.1.gz )
